#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
  XC\ShopperApproved\LifetimeHook\Disable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ShopperApproved, type: disable, method: onDisable}
  XC\ShopperApproved\LifetimeHook\Rebuild:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ShopperApproved, type: rebuild, method: onRebuild}
  XC\ShopperApproved\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ShopperApproved, type: upgrade, method: onUpgrade, version: 5.5.1.0}
